keyenvoy(8)

NAME
/usr/etc/keyenvoy - talk to keyserver

SYNOPSIS
keyenvoy

DESCRIPTION
keyenvoy is used by some RPC programs to talk to the key server, keyserv(8). The key server will not talk to anything but a root process, and keyenvoy is a set-uid root process that acts as an intermediary between a user process that wishes to talk to the key server and the key server itself.

This program cannot be run interactively.

NOTES
Since a fork(2) call is necessary to start keyenvoy, it is slow. With GNU C Library 2.1 and Linux 2.1 kernels, keyserv supports also the RPC over AF_UNIX interface. This is much more secure and faster.

SEE ALSO
keylogin(1), keylogout(1), keyserv(8)

AUTHOR
The original sources are from Suns Secure RPC 4.0 and was ported by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.